Name: blender
Version: 2.36
Release: alt1.1

Summary: 3D modeler
License: GPL
Group: Graphics
URL: http://www.blender.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: http://download.blender.org/source/%name-%version.tar.bz2
Source1: %name-wrapper
Source2: %name-16.png
Source3: %name-32.png
Source4: %name.menu
Source5: %name.desktop
Patch1: %name-2.36-alt-config_options.patch

Requires: python >= 2.3

# Automatically added by buildreq on Mon Jan 24 2005
BuildRequires: esound freetype2-devel gcc-c++ ghostscript-classic ghostscript-utils glib2 libSDL-devel libftgl-devel libjpeg-devel libopenal-devel libpng-devel libstdc++-devel pkgconfig python-base python-dev python-modules-bsddb python-modules-encodings scons tetex-core tetex-dvips tetex-latex xorg-x11-devel xorg-x11-libs zlib-devel

%description
The Best 3D modeler

%prep
%setup -q -n %name
%patch1 -p1

%build
scons

pushd release/plugins
%__ln_s ../../source/blender/blenpluginapi include
%__chmod +x bmake
%make
popd

%install
%__install -pD -m755 %name %buildroot%_bindir/%name-bin
%__install -pD -m755 %{name}player %buildroot%_bindir/%{name}player
%__install -pD -m755 %SOURCE1 %buildroot%_bindir/%name

%__install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE4 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE5 %buildroot%_datadir/applications/%name.desktop

%__install -d %buildroot%_libdir/%name/plugins/sequence
%__install -d %buildroot%_libdir/%name/plugins/texture
%__install -pD -m644 release/plugins/sequence/*.so %buildroot%_libdir/%name/plugins/sequence
%__install -pD -m644 release/plugins/texture/*.so %buildroot%_libdir/%name/plugins/texture

%__cp -a release/bpydata %buildroot%_libdir/%name
%__cp -a release/scripts %buildroot%_libdir/%name
%__cp -a bin/.blender/locale  %buildroot%_datadir
%__install -m644 bin/.blender/.Blanguages %buildroot%_libdir/%name
%__install -m644 bin/.blender/.bfont.ttf %buildroot%_libdir/%name
%__install -m644 release/VERSION %buildroot%_libdir/%name
%__install -m644 source/blender/python/api2_2x/doc/* %buildroot%_libdir/%name/scripts

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README release/text/copyright.txt release/text/release_*.txt
%_bindir/*
%_menudir/*
%_datadir/applications/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%dir %_libdir/%name/scripts
%_libdir/%name/.bfont.ttf
%_libdir/%name/.Blanguages
%_libdir/%name/VERSION
%_libdir/%name/bpydata
%_libdir/%name/scripts/*
%_libdir/%name/plugins/sequence
%_libdir/%name/plugins/texture
%_iconsdir/%name.png
%_iconsdir/*/%name.png

%changelog
* Wed Mar 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.36-alt1.1
- Rebuilt with python-2.4.

* Sun Jan 30 2005 Andrey Astafiev <andrei@altlinux.ru> 2.36-alt1
- 2.36
- Some features incorporated from Debian package.

* Mon Mar 01 2004 Kachalov Anton <mouse@altlinux.ru> 2.32-alt1
- new version 2.32

* Sun Dec 28 2003 Kachalov Anton <mouse@altlinux.ru> 2.30-alt1
- new version 2.30

* Wed Sep 17 2003 Kachalov Anton <mouse@altlinux.ru> 2.28a-alt1
- new version 2.28a

* Tue Jun 24 2003 Kachalov Anton <mouse@altlinux.ru> 2.27-alt1
- new version 2.27

* Mon Jan 20 2003 Kachalov Anton <mouse@altlinux.ru> 2.25b-alt2
- fixed buildrequires

* Tue Nov 12 2002 Kachalov Anton <mouse@altlinux.ru> 2.25b-alt1
- build for Sisyphus
